[arch-commits] Commit in qt/repos (3 files)

Pierre Schmitz pierre at archlinux.org
Tue Jul 22 10:39:17 EDT 2008


    Date: Tuesday, July 22, 2008 @ 10:39:17
  Author: pierre
Revision: 5996

Merged revisions 5195-5994 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/qt/trunk

........
  r5990 | pierre | 2008-07-22 13:16:35 +0000 (Di, 22 Jul 2008) | 1 line
  
  upgpkg: qt 4.4.0-6
........

Added:
  qt/repos/extra-i686/ipv6-dns.patch
    (from rev 5990, qt/trunk/ipv6-dns.patch)
Modified:
  qt/repos/extra-i686/	(properties)
  qt/repos/extra-i686/PKGBUILD

----------------+
 PKGBUILD       |   12 +++++++++---
 ipv6-dns.patch |   10 ++++++++++
 2 files changed, 19 insertions(+), 3 deletions(-)


Property changes on: qt/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /qt/trunk:1-5194
   + /qt/trunk:1-5994

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-22 14:39:15 UTC (rev 5995)
+++ extra-i686/PKGBUILD	2008-07-22 14:39:17 UTC (rev 5996)
@@ -2,7 +2,7 @@
 
 pkgname=qt
 pkgver=4.4.0
-pkgrel=5
+pkgrel=6
 pkgdesc="The QT gui toolkit."
 arch=('i686' 'x86_64')
 url="http://www.trolltech.com/products/qt"
@@ -16,8 +16,11 @@
 conflicts=('qt4')
 _pkgfqn=qt-x11-opensource-src-$pkgver
 # svn export svn://anonsvn.kde.org/home/kde/trunk/qt-copy/patches/ qt-copy-patches
-source=("ftp://ftp.trolltech.com/qt/source/${_pkgfqn}.tar.gz" 'ftp://ftp.archlinux.org/other/qt/qt-copy-patches-832037.tar.bz2')
-md5sums=('f13ad0aa75efad314715930e663bad55' '4078b5c6594370bdc3507ffdc0f8fce2')
+source=("ftp://ftp.trolltech.com/qt/source/${_pkgfqn}.tar.gz" 
+        'ftp://ftp.archlinux.org/other/qt/qt-copy-patches-832037.tar.bz2'
+        'ipv6-dns.patch')
+md5sums=('f13ad0aa75efad314715930e663bad55' '4078b5c6594370bdc3507ffdc0f8fce2'
+         '458efa856961bcfc91ab73a5021cd4f9')
 
 build() {
 	unset QMAKESPEC
@@ -30,6 +33,9 @@
 		echo "applying $i"
 		patch -p0 -i $i || return 1
 	done
+	
+	# avoid ipv6 lookups when ipv6 disabled
+	patch -p0 -i $srcdir/ipv6-dns.patch || return 1
 
 	# remove unwanted mkspecs
 	cd mkspecs/

Copied: qt/repos/extra-i686/ipv6-dns.patch (from rev 5990, qt/trunk/ipv6-dns.patch)
===================================================================
--- extra-i686/ipv6-dns.patch	                        (rev 0)
+++ extra-i686/ipv6-dns.patch	2008-07-22 14:39:17 UTC (rev 5996)
@@ -0,0 +1,10 @@
+--- src/network/kernel/qhostinfo_unix.cpp	2008-04-28 13:11:19.000000000 +0000
++++ src/network/kernel/qhostinfo_unix.cpp.new	2008-07-22 12:40:32.000000000 +0000
+@@ -167,6 +167,7 @@
+     struct addrinfo hints;
+     memset(&hints, 0, sizeof(hints));
+     hints.ai_family = PF_UNSPEC;
++    hints.ai_flags = AI_ADDRCONFIG;
+ 
+     int result = getaddrinfo(hostName.toLatin1().constData(), 0, &hints, &res);
+     if (result == 0) {





More information about the arch-commits mailing list